/* * Canadian Hydrological Model - The Canadian Hydrological Model (CHM) is a novel
 * modular unstructured mesh based approach for hydrological modelling
 * Copyright (C) 2018 Christopher Marsh
 *
 * This file is part of Canadian Hydrological Model.
 *
 * Canadian Hydrological Model is free software: you can redistribute it and/or
 * modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Canadian Hydrological Model is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Canadian Hydrological Model.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

//
// Created by nicway on 12/07/16.
//

#pragma once

namespace Snow {
    /********* Snow ************/
    const double Z0_SNOW = 0.01; // Snow roughness (m)
    const double emiss = 0.985; // Emissivity of a snowpack
    const double AlbedoIce = 0.8;       // albedo of ideal ice sphere
    const double Radius = 5.0e-4;       // radii of single 'ideal' ice sphere in, m)


}

